# Class RecordedStackTrace

java.lang.Object
jdk.jfr.consumer.RecordedObject
jdk.jfr.consumer.RecordedStackTrace

public final class RecordedStackTrace extends RecordedObject
A recorded stack trace.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`List<RecordedFrame>`
`getFrames()`
Returns the frames in the stack trace.
`boolean`
`isTruncated()`
Returns `true` if the stack trace is truncated due to its size, `false` otherwise.

### Methods declared in class jdk.jfr.consumer.RecordedObject

`getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getFrames

public List<RecordedFrame> getFrames()
Returns the frames in the stack trace.

Returns:
  a list of Java stack frames, not `null`

### isTruncated

public boolean isTruncated()
Returns `true` if the stack trace is truncated due to its size, `false` otherwise.

Returns:
  `true` if the stack trace is truncated, `false` otherwise